package hideandseek.commands.admin;

import org.bukkit.ChatColor;
import hideandseek.Arena;
import hideandseek.Config;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class StopCommand extends SubCommand
{
    public StopCommand() {
        super("hideandseek.stop", true, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        if (Config.getInstance().bungeeEnabled) {
            var3.sendMessage((String)var2.messages.get("unknown_command"));
            return true;
        }
        if (var4.length == 1) {
            return false;
        }
        final Arena var5 = Arena.valueOf(var4[1]);
        if (var5 == null) {
            var3.sendMessage((String)var2.messages.get("unknown_arena"));
            return true;
        }
        if (!var5.state.equals((Object)Arena.ArenaState.INGAME)) {
            var3.sendMessage(var2.prefix + "房间里没有游戏在进行!");
            return true;
        }
        var5.kickAll();
        var3.sendMessage(var2.prefix + String.valueOf(ChatColor.GREEN) + "成功! " + String.valueOf(ChatColor.GOLD) + "房间:" + String.valueOf(ChatColor.YELLOW) + var5.name + String.valueOf(ChatColor.GOLD) + " 的游戏被强制停止!");
        return true;
    }
}
